AMULECMD(1)

NOM
amulecmd - programme de contrôle d'aMule en mode texte

SYNOPSIS
amulecmd [-h <hôte>] [-p <port>] [-P <motdepasse>] [-f <chemin>] [-q] [-v] [-w] [-c <commande>]

amulecmd [-f <chemin>] --create-config-from=<chemin>

amulecmd [--help] [--version]

DESCRIPTION
amulecmd est un client en mode texte pour contrôler aMule. Une aide utile peut être obtenue au lancement du programme.

amulecmdDLG est la version graphique d'amulecmd, et l'unique différence est qu'il n'accepte pas l'option -c.

-h, --host=<hôte>
    Hôte où aMule tourne (défaut: localhost). <hôte> peut être une adresse IP ou un nom DNS.

-p, --port=<port>
    Port d'aMule pour les Connexions Externes, tel que défini dans Preferences->Contrôles à Distance (défaut: 4712).

-P, --password=<motdepasse>
    Mot de passe pour les Connexions Externes.

-f, --config-file=<chemin>
    Utiliser le fichier de configuration désigné. Le fichier de configuration par défaut est ~/.aMule/remote.conf.

-q, --quiet
    N'afficher aucune sortie sur stdout. Ceci est une option complètement inutile avec amulecmd.

-v, --verbose
    Mode bavard - affiche aussi les messages de debugage.

-w, --write-config
    Ecrire les options de la ligne de commande dans le fichier de configuration et quitter.

-c, --command=<commande>
    Executer la <commande> comme si elle avait été entrée au prompt d'amumecmd et quitter (non disponible dans la version graphique).

--create-config-from=<chemin>
    Créer un fichier de configuration basé sur <chemin>, qui doit pointer sur un fichier de configration d'aMule valide, et quitter ensuite.

--help
    Afficher l'aide d'utilisation et quitter.

--version
    Afficher les informations sur la version courante et quitter.

NOTE
Pour toutes les options prenant en paramètre un <chemin>, si le chemin ne contient pas de répertoire (i.e. juste un nom de fichier), alors il sera considéré comme étant dans le répertoire de configuration d'aMule, ~/.aMule.

FICHIERS
~/.aMule/remote.conf

EXEMPLE
Typiquement amulecmd sera lancé la première fois de la façon suivante:

amulecmd -h hostname -p ECport -P ECpassword -w

ou

amulecmd --create-config-from=/home/username/.aMule/amule.conf

Cela sauvegardera les options dans $HOME/.aMule/remote.conf, et les fois suivantes, vous n'aurez à taper que:

amulecmd

Bien sûr, rien ne vous oblige à suivre cet exemple.

SIGNALEMENT DES BUGS
Reportez les bugs sur notre forum (http://forum.amule.org/), ou dans notre bugtracker (http://bugs.amule.org/). N'utilisez ni un e-mail, ni notre liste de diffusion ni ne reportez directement un bug à un membre de notre equipe.

COPYRIGHT
aMule et tous les utilitaires associés sont distribués sous licence GNU General Public License.

VOIR AUSSI
amule(1), amuleweb(1)

TRADUCTION
ThePolish, 2005